Bug 475663 - [LTC 5.4 FEAT] Include IB bonding feature from OFED-1.3 [201642]
[LTC 5.4 FEAT] Include IB bonding feature from OFED-1.3 [201642]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openib (Show other bugs)
5.4
ppc64 All
high Severity high
: alpha
: 5.4
Assigned To: Doug Ledford
Martin Jenner
: FutureFeature, OtherQA
Depends On: 430758
Blocks: 445204 483784
  Show dependency treegraph
 
Reported: 2008-12-09 18:00 EST by IBM Bug Proxy
Modified: 2009-09-02 05:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:50:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bonding test log (16.57 KB, text/plain)
2009-04-13 20:20 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50292 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 18:00:41 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201642]
a. Name of Feature:	Include IB bonding feature from OFED
b. Feature Description
Request support for the ib-bonding package which contains a bonding driver and a utility called
ib-bond to manage and control the driver operation.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Common Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Networking
Request Type:	Driver - Feature from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	OFED-1.3

3. Business Case
High Performance Computing customers require IB bonding for multiple link HA and loading balance,
aggregation performance.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):

Shirley Ma, xma@us.ibm.com

IBM Manager:
Larry Kessler, lkessler@us.ibm.com
Comment 1 John Jarvis 2008-12-23 15:36:56 EST
IBM is signed up to test and provide feedback.
Comment 7 IBM Bug Proxy 2009-04-09 13:50:34 EDT
------- Comment From wilder@us.ibm.com 2009-04-09 13:42 EDT-------
Re-opend to change owership of bug.
I will start verification on 4/13/2009
Comment 8 IBM Bug Proxy 2009-04-13 20:20:35 EDT
------- Comment From wilder@us.ibm.com 2009-04-13 20:11 EDT-------
I ran the bonding verification tests on the following Infiniband HCAs.
ehca (1)
mthca
ConnectX

All tests were performed on pseries systems running RHEL 5.3 release and the test kernel pointed at in  the bugzilla ( 2.6.18-134.el5.gtest.68 )

Tests Performed:
1) Fail over verification
2)Fail-back verification
3)Bonding shutdown
I am attaching my test log to the bugzilla.  All tests ran successfully.
-------------------------------------------------------------------------------------------
Note: when bonding is configured the following messages are displayed on the console.  I believe these messages are normal and do not indicate an error.
bonding: bond0: Adding slave ib0.
bonding: bond0: Warning: enslaved VLAN challenged slave ib0. Adding VLANs will be blocked as long as ib0 is part of bond bond0
bonding: bond0: Warning: The first slave device specified does not support setting the MAC address. Setting fail_over_mac to active.<6>bonding: bond0: enslaving ib0 as a backup interface with a down link.
bonding: bond0: Adding slave ib1.
bonding: bond0: Warning: enslaved VLAN challenged slave ib1. Adding VLANs will be blocked as long as ib1 is part of bond bond0
bonding: bond0: enslaving ib1 as a backup interface with a down link.
bonding: bond0: link status up for interface ib0, enabling it in 200 ms.
bonding: bond0: link status up for interface ib1, enabling it in 200 ms.
bonding: bond0: link status definitely up for interface ib0.
bonding: bond0: making interface ib0 the new active one.
bonding: bond0: first active interface up!
bonding: bond0: link status definitely up for interface ib1.
Comment 9 IBM Bug Proxy 2009-04-13 20:20:40 EDT
Created attachment 339400 [details]
Bonding test log


------- Comment on attachment From wilder@us.ibm.com 2009-04-13 20:13 EDT-------


Log of the bonding tests I ran.
Comment 10 Andy Gospodarek 2009-04-13 20:41:49 EDT
Thank you for the testing and detailed feedback.  I will work to get these patches included in our next update.
Comment 14 John Jarvis 2009-04-23 16:10:46 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 17 Suzanne Yeghiayan 2009-06-01 13:50:59 EDT
This issue is actually resolved by kernel bug 430758.
Comment 18 Ameet Paranjape 2009-06-01 13:59:41 EDT
Based on the previous comment and state change, should IBM verify on the latest KOTD from dzickus to move this along?
Comment 22 Chris Ward 2009-06-14 19:18:50 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 23 IBM Bug Proxy 2009-06-18 17:41:21 EDT
------- Comment From pradeep@us.ibm.com 2009-06-18 17:36 EDT-------
Tested with the kernel in RH5.4 alpha (2.6.18-152.el5) . Initial tests look to be good. Fail over is working as expected.

------- Comment From pradeep@us.ibm.com 2009-06-18 17:38 EDT-------
I did not mention the environment -the tests were run on ppc64 machines with the IBM eHCA adapter.
Comment 24 IBM Bug Proxy 2009-06-24 13:50:46 EDT
------- Comment From halves@linux.vnet.ibm.com 2009-06-24 13:45 EDT-------
Hi Team,

I ran failover and shutdown IB bonding tests on RHEL 5.4 Alpha using power6 machines and Mellanox ConnectX HCAs and all tests passed.

Thanks,

Higor
Comment 25 Chris Ward 2009-07-03 14:17:16 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 26 Chris Ward 2009-07-10 15:08:34 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 27 Chris Ward 2009-08-03 11:45:25 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 5 Released! ~~

RHEL 5.4 Snapshot 5 is the FINAL snapshot to be release before RC. It has been 
released on partners.redhat.com. If you have already reported your test results, 
you can safely ignore this request. Otherwise, please notice that there should be 
a fix available now that addresses this particular issue. Please test and report 
back your results here, at your earliest convenience.

If you encounter any issues while testing Beta, please describe the 
issues you have encountered and set the bug into NEED_INFO. If you 
encounter new issues, please clone this bug to open a new issue and 
request it be reviewed for inclusion in RHEL 5.4 or a later update, if it 
is not of urgent severity. If it is urgent, escalate the issue to your partner manager as soon as possible. There is /very/ little time left to get additional code into 5.4 before GA.

Partners, after you have verified, do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other 
appropriate customer representative.
Comment 28 John Jarvis 2009-08-04 14:20:29 EDT
Marking as verified based on comment 24.
Comment 30 IBM Bug Proxy 2009-08-12 10:44:05 EDT
------- Comment From halves@linux.vnet.ibm.com 2009-08-12 10:33 EDT-------
Hello Guys,

Bonding tests ran without problems on RHEL 5.4 Snap5.

Regards,

Higor
Comment 31 IBM Bug Proxy 2009-08-13 10:42:02 EDT
------- Comment From wilder@us.ibm.com 2009-08-13 10:32 EDT-------
Closing per comment #30.
Comment 32 errata-xmlrpc 2009-09-02 05:50:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1304.html

Note You need to log in before you can comment on or make changes to this bug.